Aller au contenu principal
Sujet: Élément verrouillé (Lu 321 fois) sujet précédent - sujet suivant

Élément verrouillé

Bonjour
Lorsque je fais
sudo zypper up
Récupération des métadonnées du dépôt 'packman' ...[fait]
Construction du cache du dépôt 'packman' ...[fait]
Chargement des données du dépôt...
Lecture des paquets installés...

L'élément suivant est verrouillé et ne sera modifié par aucune action :
 Disponible:
  Mesa-dri-nouveau
Rien à faire.
Pourquoi Mesa-dri-nouveau est verrouillé ?

Merci

Re : Élément verrouillé

Répondre #1
Peut être parce que tu as le pilote propriétaire NVIDIA et que nouveau est blacklisté

Re : Élément verrouillé

Répondre #2
Bonjour :)
Tu es sur quel système ? Leap 15.2 ou Tumbleweed ?

Verrouiller un paquet, c'est l'empêcher de se mettre à jour (pour éviter un bug dans la mise à jour proposée) ou encore figer la version installée, je ne pense pas que ce soit la même chose que blacklister un module (ou un pilote ?) ?
La commande suivante permet de lister les paquets verrouillés :
zypper locks

Sauf erreur de ma part (ce qui est fort possible, n'ayant jamais utilisé ça :D ), un paquet verrouillé provient de l'action de l'administrateur du système.
Que donne
zypper info mesa-dri-nouveau

Re : Élément verrouillé

Répondre #3
Bonjour :)
Tu es sur quel système ? Leap 15.2 ou Tumbleweed ?

Verrouiller un paquet, c'est l'empêcher de se mettre à jour (pour éviter un bug dans la mise à jour proposée) ou encore figer la version installée, je ne pense pas que ce soit la même chose que blacklister un module (ou un pilote ?) ?
La commande suivante permet de lister les paquets verrouillés :
zypper locks

Sauf erreur de ma part (ce qui est fort possible, n'ayant jamais utilisé ça :D ), un paquet verrouillé provient de l'action de l'administrateur du système.
Que donne
zypper info mesa-dri-nouveau
Oui tu as raison je crois. Yast appelle ça : paquet tabou

Re : Élément verrouillé

Répondre #4
Je suis avec leap à jour de toutes MAJ. Je n'ai pas installé nvidia et utilise donc xf86-video-nouveau.
zypper locks

# | Name             | Type    | Repo->
--+------------------+---------+-------
1 | Mesa-dri-nouveau | package | (tous)

zypper info mesa-dri-nouveau
Chargement des données du dépôt...
Lecture des paquets installés...

Informations sur paquet Mesa-dri-nouveau :
------------------------------------------
Dépôt                     : Dépôt principal
Nom                       : Mesa-dri-nouveau
Version                   : 19.3.4-lp152.27.1
Architecture              : x86_64
Fabricant                 : openSUSE
Taille une fois installé  : 31,0 MiB
Installé                  : Non
État                      : non installé
Paquet source             : Mesa-drivers-19.3.4-lp152.27.1.src
Résumé                    : Mesa DRI plug-in for 3D acceleration via Nouveau
Description               :
    This package contains nouveau_dri.so, which is necessary for
    Nouveau's 3D acceleration to work. It is packaged separately
    since it is still experimental.

sudo zypper in Mesa-dri-nouveau
Chargement des données du dépôt...
Lecture des paquets installés...
Résolution des dépendances des paquets...

Problème : requêtes conflictuelles
 Solution 1 : enlever le verrou pour permettre l'installation de Mesa-dri-nouveau-19.3.4-lp152.27.1.x86_64[repo-oss]
 Solution 2 : ne pas demander d'installer un élément résoluble fournissant Mesa-dri-nouveau.x86_64 = 19.3.4-lp152.27.1

Choisir une des solutions ci-dessus en tapant son numéro ou bien annuler en tapant 'a' [1/2/a/d/?] (a):

Je pense que le paquet est verrouillé parce qu'il est encore expérimental.

En lançant son installation, j'ai un avertisement
Citer
Pour installer 'Mesa-dri-nouveau' , vous devez accepter la licence suivante :

ATTENTION : Vous avez sélectionné le pilote Nouveau DRI/3D.

Ce pilote est considéré comme expérimental et est connu pour avoir des problèmes
avec les applications qui utilisent certaines fonctions d'accélérations 3D
des matériels NVIDIA modernes.

Les symptômes incluent des plantages d'applications ou des blocages et plantages de
l'environnement graphique. Les matériels plus anciens et les applications moins exigeantes
peuvent parfaitement fonctionner et bénéficient des fonctions d'accélération matérielle
offertes par ce pilote par rapport à l'émulation logicielle.

L'utilisation de ce pilote est particulièrement déconseillé pour l’environnement
de bureau KDE ou les applications basées sur Qt.


Le fournisseur du matériel propose potentiellement des pilotes alternatifs.

Veuillez cliquer sur "Accepter" si vous acceptez les risques qui peuvent survenir
avec l'installation de ce pilote. Choisissez "Annuler" pour empêcher l'installation
de ce pilote et utiliser l'émulation logicielle.

Du coup, je ne l'installe pas  :o

Le fournisseur du matériel propose potentiellement des pilotes alternatifs.
Comme quoi par exemple ? Pour carte nvidia en restant avec le pilote libre

Re : Élément verrouillé

Répondre #5
Je n'ai pas de carte nvidia mais c'est bizarre d'avoir ce paquet verrouillé. Les pilotes alternatifs, ce sont les pilotes propriétaires nvidia.
Quelle est ta carte Nvidia ?
Tu ne te souviens pas l'avoir fait après l'installation ?
Si tout fonctionne bien sur ton système, laisse comme ça effectivement ;)

Aux membres qui ont une Nvidia sur Leap :
Ce paquet Mesa-dri-nouveau est-il installé ou non ? et s’il est installé, c'est pour quelle carte ? et quel est votre environnement Gnome ou KDE ?

Re : Élément verrouillé

Répondre #6
Ma carte
sudo lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] [10de:1380] (rev a2)
Pour les pilotes propriétaires, je n'ai jamais voulu/essayé les installer.

Si d'autres utilisateurs de carte nvidia peuvent donner leur avis, ça serait bien effectivement.

Re : Élément verrouillé

Répondre #7
Changement, je viens d'installer le pilote propriétaire de nvidia.
Je suis allé sur ce site et j'avais 7 fps avec 500 poissons !!!!
Avec le pilote nvidia propriétaire, je suis toujours à 60 fps à 15000 poissons.

Re : Élément verrouillé

Répondre #8
J'ai eu le même message que dans le post #4 lors de l'installation de Tumbleweed. Je n'ai pas accepté et tout fonctionne très bien.

Re : Élément verrouillé

Répondre #9
J'ai eu le même message que dans le post #4 lors de l'installation de Tumbleweed. Je n'ai pas accepté et tout fonctionne très bien.
Merci pour ton retour. J'hésitais à passer sur Tumbleweed du coup c'est pas la peine !

Re : Élément verrouillé

Répondre #10
Tumbleweed avec les pilotes propriétaires, il y a souvent des problèmes à cause du retard des mises à jour de pilote par rapport au noyau

Re : Élément verrouillé

Répondre #11
Bonjour
Voici des nouvelles. Avec mon installation du driver nvidia, j'ai été surpris de vois que des paquets en 32 bits étaient installés. Du coup, j'ai refait une installation avec "nouveau" et surprise je n'ai plus rien de verrouillé
zypper locks
Il n'y a aucun verrouillage de défini sur les paquets.
et Mesa-dri-nouveau est installé
zypper info mesa-dri-nouveau
Chargement des données du dépôt...
Lecture des paquets installés...
Informations sur paquet Mesa-dri-nouveau :
------------------------------------------
Dépôt                     : Dépôt principal
Nom                       : Mesa-dri-nouveau
Version                   : 19.3.4-lp152.27.1
Architecture              : x86_64
Fabricant                 : openSUSE
Taille une fois installé  : 31,0 MiB
Installé                  : Oui (automatiquement)
État                      : à jour
Paquet source             : Mesa-drivers-19.3.4-lp152.27.1.src
Résumé                    : Mesa DRI plug-in for 3D acceleration via Nouveau
Description               :
    This package contains nouveau_dri.so, which is necessary for
    Nouveau's 3D acceleration to work. It is packaged separately
    since it is still experimental

Pourquoi Mesa-dri-nouveau est installé maintenant ??? Mystère et boule de gomme !
Je suis toujours avec Leap KDE Plasma et tout fonctionne parfaitement.

Re : Élément verrouillé

Répondre #12
Et tout fonctionne bien avec le pilote nouveau et Mesa-dri-nouveau ?
Je pense que la question t’a été posée à l’installation avec l’avertissement et que tu as répondu non.

Re : Élément verrouillé

Répondre #13
Pour ce que j'en ai testé oui tout fonctionne parfaitement avec le pilote nouveau et Mesa-dri-nouveau.  8)
Pour la première installation sans Mesa-dri-nouveau, je me souviens d'une ligne m'informant que ça ne serait pas installé (de mémoire c'est quelque chose comme ça ?)
Pour la seconde, je n'ai rien vu de tel.